| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cv::dnn::TextDetectionModel Class Reference
Deep Neural Network module

Base class for text detection networks. More...

`#include <opencv2/dnn/dnn.hpp>`

Collaboration diagram for cv::dnn::TextDetectionModel:

## Public Member Functions
void | detect (InputArray frame, std::vector< std::vector< Point > > &detections) const
void | detect (InputArray frame, std::vector< std::vector< Point > > &detections, std::vector< float > &confidences) const
| Performs detection.
void | detectTextRectangles (InputArray frame, std::vector< cv::RotatedRect > &detections) const
void | detectTextRectangles (InputArray frame, std::vector< cv::RotatedRect > &detections, std::vector< float > &confidences) const
| Performs detection.
Public Member Functions inherited from cv::dnn::Model
| Model ()
| Model (const Model &)=default
| Model (const Net &network)
| Create model from deep learning network.
| Model (CV_WRAP_FILE_PATH const String &model, CV_WRAP_FILE_PATH const String &config="")
| Create model from deep learning network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
| Model (Model &&)=default
Model & | enableWinograd (bool useWinograd)
Impl * | getImpl () const
Impl & | getImplRef () const
Net & | getNetwork_ ()
Net & | getNetwork_ () const
| operator Net & () const
Model & | operator= (const Model &)=default
Model & | operator= (Model &&)=default
void | predict (InputArray frame, OutputArrayOfArrays outs) const
| Given the `input` frame, create input blob, run net and return the output `blobs`.
Model & | setInputCrop (bool crop)
| Set flag crop for frame.
Model & | setInputMean (const Scalar &mean)
| Set mean value for frame.
void | setInputParams (double scale=1.0, const Size &size=Size(), const Scalar &mean=Scalar(), bool swapRB=false, bool crop=false)
| Set preprocessing parameters for frame.
Model & | setInputScale (const Scalar &scale)
| Set scalefactor value for frame.
Model & | setInputSize (const Size &size)
| Set input size for frame.
Model & | setInputSize (int width, int height)
Model & | setInputSwapRB (bool swapRB)
| Set flag swapRB for frame.
Model & | setOutputNames (const std::vector< String > &outNames)
| Set output names for frame.
Model & | setPreferableBackend (dnn::Backend backendId)
Model & | setPreferableTarget (dnn::Target targetId)

## Protected Member Functions
| TextDetectionModel ()

## Additional Inherited Members
Protected Attributes inherited from cv::dnn::Model
Ptr< Impl > | impl

## Detailed Description

Base class for text detection networks.

## Constructor & Destructor Documentation

## ◆ TextDetectionModel()

cv::dnn::TextDetectionModel::TextDetectionModel | ( |  | ) |
| protected

## Member Function Documentation

## ◆ detect() [1/2]

void cv::dnn::TextDetectionModel::detect | ( | InputArray | frame,
|  | std::vector< std::vector< Point > > & | detections ) const

Python:
| cv.dnn.TextDetectionModel.detect( | frame | ) -> | detections, confidences
| cv.dnn.TextDetectionModel.detect( | frame | ) -> | detections

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ detect() [2/2]

void cv::dnn::TextDetectionModel::detect | ( | InputArray | frame,
|  | std::vector< std::vector< Point > > & | detections,
|  | std::vector< float > & | confidences ) const

Python:
| cv.dnn.TextDetectionModel.detect( | frame | ) -> | detections, confidences
| cv.dnn.TextDetectionModel.detect( | frame | ) -> | detections

Performs detection.

Given the input `frame`, prepare network input, run network inference, post-process network output and return result detections.

Each result is quadrangle's 4 points in this order:

- bottom-left
- top-left
- top-right
- bottom-right

Use cv::getPerspectiveTransform function to retrieve image region without perspective transformations.

Note
  If DL model doesn't support that kind of output then result may be derived from detectTextRectangles() output.

Parameters

  [in] | frame | The input image
  [out] | detections | array with detections' quadrangles (4 points per result)
  [out] | confidences | array with detection confidences

## ◆ detectTextRectangles() [1/2]

void cv::dnn::TextDetectionModel::detectTextRectangles | ( | InputArray | frame,
|  | std::vector< cv::RotatedRect > & | detections ) const

Python:
| cv.dnn.TextDetectionModel.detectTextRectangles( | frame | ) -> | detections, confidences
| cv.dnn.TextDetectionModel.detectTextRectangles( | frame | ) -> | detections

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ detectTextRectangles() [2/2]

void cv::dnn::TextDetectionModel::detectTextRectangles | ( | InputArray | frame,
|  | std::vector< cv::RotatedRect > & | detections,
|  | std::vector< float > & | confidences ) const

Python:
| cv.dnn.TextDetectionModel.detectTextRectangles( | frame | ) -> | detections, confidences
| cv.dnn.TextDetectionModel.detectTextRectangles( | frame | ) -> | detections

Performs detection.

Given the input `frame`, prepare network input, run network inference, post-process network output and return result detections.

Each result is rotated rectangle.

Note
  Result may be inaccurate in case of strong perspective transformations.

Parameters

  [in] | frame | the input image
  [out] | detections | array with detections' RotationRect results
  [out] | confidences | array with detection confidences

The documentation for this class was generated from the following file:

- opencv2/dnn/dnn.hpp